Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginSimpleSpeciesReference

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginSimpleSpeciesReference

Direct Known Subclasses:
  PluginModifierSpeciesReference, PluginSpeciesReference

    public class PluginSimpleSpeciesReference

extends PluginSBase

This class wraps org.sbml.libsbml.SimpleSpeciesReference for the plug-in.

Author:

Field Summary
`static java.lang.String` | `MODIFIER` ReferenceType "MODIFIER"
`static java.lang.String` | `PRODUCT` ReferenceType "PRODUCT"
`static java.lang.String` | `REACTANT` ReferenceType "REACTANT"

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginSimpleSpeciesReference(PluginSpeciesAlias alias)` Constructor

Method Summary
`PluginSpeciesAlias` | `getAlias()`
`PluginReaction` | `getParentReaction()`
`java.lang.String` | `getParentReactionID()`
`java.lang.String` | `getReferenceType()`
`java.lang.String` | `getSpecies()`
`PluginSpecies` | `getSpeciesInstance()`
`void` | `setAlias(PluginSpeciesAlias alias)` Sets the PluginSpeciesAlias of this PluginSimpleSpeciesReference
`void` | `setReferenceType(java.lang.String referenceType)` Sets the ReferenceType of this PluginSimpleSpeciesReference.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REACTANT

    public static final java.lang.String REACTANT

  ReferenceType "REACTANT"

  See Also:
    Constant Field Values

### PRODUCT

    public static final java.lang.String PRODUCT

  ReferenceType "PRODUCT"

  See Also:
    Constant Field Values

### MODIFIER

    public static final java.lang.String MODIFIER

  ReferenceType "MODIFIER"

  See Also:
    Constant Field Values

Constructor Detail

### PluginSimpleSpeciesReference

    public PluginSimpleSpeciesReference(PluginSpeciesAlias alias)

  Constructor

  Parameters:
    `alias` - PluginSpeciesAlias

Method Detail

### setReferenceType

    public void setReferenceType(java.lang.String referenceType)

  Sets the ReferenceType of this PluginSimpleSpeciesReference. The ReferenceType is the one of the following static fields of this PluginSimpleSpeciesReference: REACTANT, PRODUCT and MODIFIER.

  Parameters:
    `referenceType` -

### getReferenceType

    public java.lang.String getReferenceType()

  Returns:
    the ReferenceType of this PluginSimpleSpeciesReference.

### getSpecies

    public java.lang.String getSpecies()

  Returns:
    the species for this PluginSimpleSpeciesReference

### getSpeciesInstance

    public PluginSpecies getSpeciesInstance()

  Returns:
    the PluginSpecies of this PluginSimpleSpeciesReference

### getParentReactionID

    public java.lang.String getParentReactionID()

  Returns:
    the ParentReactionID of this PluginSimpleSpeciesReference

### getParentReaction

    public PluginReaction getParentReaction()

  Returns:
    the PluginReaction if the ParentSBase is PluginReaction, null otherwise

### getAlias

    public PluginSpeciesAlias getAlias()

  Returns:
    the PluginSpeciesAlias of this PluginSimpleSpeciesReference

### setAlias

    public void setAlias(PluginSpeciesAlias alias)

  Sets the PluginSpeciesAlias of this PluginSimpleSpeciesReference

  Parameters:
    `alias` - PluginSpeciesAlias

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD